# 32/64bit spec-file
#
%define name gwenrename
%define preversion beta7
%define version 1.1
%define release %mkrel 0.%{preversion}.4

Name: 		%name
Version: 	%version
Release: 	%release
Summary: 	Series (batch) renaming tool
Source:  	http://members.hellug.gr/sng/gwenrename/%{name}-%{version}-%{preversion}.tar.xz
URL: 	        http://members.hellug.gr/sng/gwenrename/
Group: 		Graphical desktop/KDE4
License: 	GPLv2+
BuildRoot: 	%_tmppath/%{name}-%{version}
BuildRequires:  kdelibs-devel 

%description
GwenRename is a series (batch) renaming tool. It was created as an external 
tool for GwenView, the image viewer for KDE, but it can be used from Konqueror
as well. As that, the files to be renamed are passed to it as command line 
parameters, through the service menus mechanism. It supports EXIF data 
extraction, file's timestamping and use of profiles.

%prep
%setup -q -n %name-%{version}-%{preversion}

%build
%cmake_kde4
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

#fix service menu
perl -pi -e "s|Actions=gwenrename|Actions=gwenrename;|" $RPM_BUILD_ROOT%{_datadir}/kde4/services/ServiceMenus/konqgwenrename.desktop


%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,0755)
%doc ChangeLog README
%{_kde_bindir}/%{name}
%{_kde_applicationsdir}/%{name}.desktop
%{_kde_appsdir}/%{name}
%{_kde_iconsdir}/*/*/*/*
%{_kde_services}/ServiceMenus/*.desktop
%{_datadir}/locale

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sat Jun 08 2013 Texstar <texstar at gmail.com> 1.1-0.beta7.4pclos2013
- fix service menu

* Sun Apr 07 2013 pinoc <vogtpet at gmail.com> 1.1.-0.beta7.3pclos2013
- rebuild on kde 4.10.1 for 32/64

* Sun Feb 06 2011 Texstar <texstar at gmail.com> 1.1.-0.beta7.2pclos2011
- rebuild for kde 4.6.0

* Thu Nov 11 2010 Texstar <texstar at gmail.com> 1.1.-0.beta7.1pclos2010
- import into pclos

